## org.apache.commons.collections.bag
Class AbstractSortedBagDecorator

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.bag.AbstractBagDecorator
              org.apache.commons.collections.bag.AbstractSortedBagDecorator

All Implemented Interfaces:
  Bag, Collection, SortedBag

Direct Known Subclasses:
  UnmodifiableSortedBag

public abstract class AbstractSortedBagDecorator
extends AbstractBagDecorator
implements SortedBag

Decorates another `SortedBag` to provide additional behaviour.

Methods are forwarded directly to the decorated bag.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.5 $ $Date: 2004/06/02 21:53:02 $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractSortedBagDecorator()` Constructor only used in deserialization, do not use otherwise.
`protected` `AbstractSortedBagDecorator(SortedBag bag)` Constructor that wraps (not copies).

Method Summary
`Comparator` `comparator()` Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.
`Object` `first()` Returns the first (lowest) member.
`protected SortedBag` `getSortedBag()` Gets the bag being decorated.
`Object` `last()` Returns the last (highest) member.

Methods inherited from class org.apache.commons.collections.bag.AbstractBagDecorator
`add, getBag, getCount, remove, uniqueSet`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, clear, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.Bag
`add, add, containsAll, getCount, iterator, remove, remove, removeAll, retainAll, size, uniqueSet`

Methods inherited from interface java.util.Collection
`addAll, clear, contains, equals, hashCode, isEmpty, toArray, toArray`

Constructor Detail

### AbstractSortedBagDecorator

    protected AbstractSortedBagDecorator()

  Constructor only used in deserialization, do not use otherwise.

Since:
  Commons Collections 3.1

### AbstractSortedBagDecorator

    protected AbstractSortedBagDecorator(SortedBag bag)

  Constructor that wraps (not copies).

Parameters:
  `bag` - the bag to decorate, must not be null
Throws:
  `IllegalArgumentException` - if list is null

Method Detail

### getSortedBag

    protected SortedBag getSortedBag()

  Gets the bag being decorated.

  Returns:
    the decorated bag

### first

    public Object first()

  Description copied from interface: `SortedBag`
  Returns the first (lowest) member.

  Specified by:
    `first` in interface `SortedBag`
  Returns:
    the first element in the sorted bag

### last

    public Object last()

  Description copied from interface: `SortedBag`
  Returns the last (highest) member.

  Specified by:
    `last` in interface `SortedBag`
  Returns:
    the last element in the sorted bag

### comparator

    public Comparator comparator()

  Description copied from interface: `SortedBag`
  Returns the comparator associated with this sorted set, or null if it uses its elements' natural ordering.

  Specified by:
    `comparator` in interface `SortedBag`
  Returns:
    the comparator in use, or null if natural ordering

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.